#!/usr/bin/perl

BEGIN {
	push(@INC,'/usr/local/cpanel');
}

use strict;
use Cpanel;
use Cpanel::Form qw( parseform );
use Cpanel::WebMail;

my $cp = Cpanel->new;
$cp->initcp((getpwuid($>))[0]);

my $webmail = Cpanel::WebMail->new();

$webmail->httpheader();
$webmail->header();

print <<EOM;

<div align="center">
<table align=center width="85%" border="0">
<tr align="center"> 

EOM

print <<EOM;

<td width="220" align="center" valign="middle">
<a href="$webmail->{urlbase}/roundcube/index.php"><img src="$webmail->{themebase}/images/roundcube_logo.png" border="0"></a><br>
<a href="$webmail->{urlbase}/roundcube/index.php">Roundcube</a> 
</td>

EOM

if ( ! $Cpanel::CONF{'maildir'} && ! $Cpanel::CONF{'skipneomail'} && $Cpanel::CPDATA{'FEATURE-WEBMAIL'} ne '0' ) {
print <<EOM;

<td width="220" align="center" valign="middle">
<a href="$webmail->{urlbase}/neomail/neomail.pl"><img src="$webmail->{themebase}/images/neomail.gif" border="0"></a><br>
<a href="$webmail->{urlbase}/neomail/neomail.pl">NeoMail</a> 
</td>

EOM
}

if ( ! $Cpanel::CONF{'skiphorde'} && $Cpanel::CPDATA{'FEATURE-WEBMAIL'} ne '0' ) {
print <<EOM;

<td width="220" align="center" valign="bottom">
<a href="/horde/index.php"><img src="$webmail->{themebase}/images/horde.gif" border="0"></a><br>
<a href="/horde/index.php">Horde</a><br><font class="small">[Full email address required to log in]</font></td>

EOM
}

if ( ! $Cpanel::CONF{'skipsqmail'} && $Cpanel::CPDATA{'FEATURE-WEBMAIL'} ne '0' ) {
print <<EOM;

<td width="220" align="center" valign="bottom"><br>
<a href="/3rdparty/squirrelmail/index.php"><img border="0" width="150" height="48" src="$webmail->{themebase}/images/squirrelmail_logo.gif"></a><br>
<a href="/3rdparty/squirrelmail/index.php">SquirrelMail</a><br><font class="small">[Full email address required to log in]</font></td>

EOM
}

print <<EOM;

</tr>

EOM


print <<EOM;

<tr align="center"> 
<td align="center" valign="bottom" colspan="3" height="41">
EOM

if ($webmail->{envuser} =~ /\@/) {
print <<EOM;
[<a href="$webmail->{urlbase}/webmailpasswd.cgi">Change Password</a>]
[<a href="$webmail->{urlbase}/webmailforward.cgi">Forwarding Options</a>]
[<a href="$webmail->{urlbase}/webmailautorespond.cgi">Autoresponder Options</a>]
EOM
}


if ( ! $Cpanel::CONF{'skipboxtrapper'} && $Cpanel::CPDATA{'FEATURE-BOXTRAPPER'} ne '0' ) {
print <<EOM;
[<a href="$webmail->{urlbase}/webmailboxtrapper.cgi">BoxTrapper</a>]
EOM
}

if (-e "webmailaging.cgi") {
print <<EOM;
[<a href="$webmail->{urlbase}/webmailaging.cgi">Aging</a>]
EOM
}

if (-e "webmaillogout.cgi") {
print <<EOM;
[<a href="$webmail->{urlbase}/webmaillogout.cgi">Logout</a>]
EOM
}

print <<EOM;

</td></tr>
</table>
</div>

EOM

$webmail->footer();


